/* You can add global styles to this file, and also import other style files */

$default_margin: 35px;
$default_bc: #fff;
$default_br: 4px;
$cs_font: 'cornerstone';
body {
  background: white;
}

@font-face {
  font-family: $cs_font;
  src: url('assets/fonts/cornerstone.woff');
  font-weight: normal;
  font-style: normal;
}
header {
  height: 15vh;
  //background-color: orange;
  display: flex;
  justify-content: space-between;
}
.outlineEle {
  margin: 20px 20px;
}
a {
  text-decoration: none;
}
.btn {
  display: inline-block;
  padding: 10px 15px;
  outline: 0px;
  border: 0px;
  border-radius: 3px;
  font-size: 16px;
  font-family: 'cornerstone';
  cursor: pointer;
  transition: all 0.2s ease;

  &__ok {
    background: #0f9675;
    color: #fff;

  }
}
.container {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  background-color: $default_bc;
  max-width : 1200px;
  margin: 0 auto 50px;
  &__nav {
    background: #ab131b;
    display: flex;
    text-align: center;
    border-radius: 5px 5px 0 0;
    justify-content: center;
    align-items: center;
    a {
      background: #921217;
      color: $default_bc;
      font-family: 'cornerstone';
      padding: 15px $default_margin;
      &.active {
        background: #921217;
      }
    }
  }
  &__content{
    padding: $default_margin;
    //background-color: darkred;

    &__new {
      margin: -35px -35px  $default_margin -35px;
      background: #f9f9f9;
      padding: $default_margin;
      display: flex;
      justify-content: center;
      align-items: center;
    }
    &__list {
      display: flex;
      flex-wrap: wrap;
      app-pizza-item {
        background: $default_bc;
        flex: 0 0 33.33%;
        margin: 0 0 55px;
        transition: 0.2s all ease;
        a {
          color: black;
        }
        .pizza-item {
          text-align: center;
          margin: 0 10px;
          padding: 20px 10px;
          border-radius: $default_br;
          background: #f5f5f5;

          app-pizza-display {
            display: block;

          }
          h4 {
            margin: 10px 0;
            font-size: 20px;
            font-weight: normal;
            font-family: 'cornerstone';
          }
        }
      }
    }
  }
}
.btn {
  display: inline-block;;
  padding: 10px 15px;
  margin: 0;
  outline: 0;
  border: 0;
  border-radius: 3px;
  font-size: 16px;
  font-family: 'cornerstone';
  cursor: pointer;
  transition: all 0.2s ease;
  color: white;
  &__ok {
    background: #0f9675;

    &:hover {
      background:#0a7d61;
    }
    }
  &__warning{
    background: #ab131c;
    &:hover {
      background: #880c14;
  }
  }
}
footer{
  height: 25vh;
  border-radius: 0 0 4px 4px;
  color: $default_bc;
  padding: 10px;
  text-align: center;
  background-color: #0f9675;
  display: flex;
  justify-content: space-around;
  .footer_section {
    width: 300px;
    color: white;
    margin: 30px 30px;
    padding: 30px 30px;
    background-color: brown;
  }
}
